Has anyone been successful making rockit work with ruby 1.8?

This looks like a very nice bit of work, but I have some problems with 
install.



./token.rb:87: warning: Object#type is deprecated; use Object#class
 (11.94 s 9.31%)
Parsing rockit-grammar.grammar./glr_parser.rb:106:in 
`handle_parse_error': No valid token found on stacks: (ParseException)
stack 0: on line:
  ' Grammar for rockit grammars, version 0.5.1'
  ^
  |
  --- Parse error!!
in state 0
the lexer returns tokens = [LT("Grammar", SymbolName), LT("Grammar", 
StrToken133007101), LT("Grammar", RegexpToken-31157725)] (["#<T
oken:0x27e3388>", "22669580 Grammar \"StrToken133007101\" 323235794", 
"#<RegexpToken:0x2b3d050>"])
and the valid tokens = []
        from ./glr_parser.rb:78:in `parse'
        from ./rockit.rb:45:in `generate_parser_from_file_to_file'
        from ./rockit.rb:44:in `call'
        from ./base_extensions.rb:62:in `time_and_puts'
        from ./rockit.rb:44:in `generate_parser_from_file_to_file'
        from bootstrap.rb:119
chmod 0755 p:/ruby18/lib/ruby/site_ruby/rockit
Installing library files
Installing executable

Thanks
Ralph